org.jboss.jca.core.spi.workmanager.transport

## Interface Transport

-     public interface Transport

  The transport interface defines the methods for the physical transport of the work instances for a distributed work manager

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearDistributedStatistics(Address address)` Clear distributed statistics
    `void` | `deltaDoWorkAccepted(Address address)` Delta doWork accepted
    `void` | `deltaDoWorkRejected(Address address)` Delta doWork rejected
    `void` | `deltaScheduleWorkAccepted(Address address)` Delta scheduleWork accepted
    `void` | `deltaScheduleWorkRejected(Address address)` Delta scheduleWork rejected
    `void` | `deltaStartWorkAccepted(Address address)` Delta startWork accepted
    `void` | `deltaStartWorkRejected(Address address)` Delta startWork rejected
    `void` | `deltaWorkFailed(Address address)` Delta work failed
    `void` | `deltaWorkSuccessful(Address address)` Delta work successful
    `void` | `doWork(Address address, javax.resource.spi.work.DistributableWork work)` doWork
    `DistributedWorkManagerStatisticsValues` | `getDistributedStatistics(Address address)` Get the distributed statistics
    `java.lang.String` | `getId()` Get the identifier of the transport
    `long` | `getLongRunningFree(Address address)` Get The number of free thread in long running pool from a distributed work manager
    `long` | `getShortRunningFree(Address address)` Get The number of free thread in short running pool from a distributed work manager
    `void` | `initialize()` Initialize the transport
    `boolean` | `isInitialized()` Is the transport initialized
    `long` | `ping(Address address)` Ping time to a distributed work manager
    `void` | `register(Address address)` Register
    `void` | `scheduleWork(Address address, javax.resource.spi.work.DistributableWork work)` scheduleWork
    `void` | `shutdown()` Shutdown the transport
    `void` | `startup()` Startup the transport
    `long` | `startWork(Address address, javax.resource.spi.work.DistributableWork work)` startWork
    `void` | `unregister(Address address)` Unregister
    `void` | `updateLongRunningFree(Address address, long freeCount)` Update The number of free thread in long running pool from a distributed work manager
    `void` | `updateShortRunningFree(Address address, long freeCount)` Update The number of free thread in short running pool from a distributed work manager

- - ### Method Detail

    - #### getId

          java.lang.String getId()

      Get the identifier of the transport
      Returns:
        The value

    - #### startup

          void startup()
                throws java.lang.Throwable

      Startup the transport
      Throws:
        `java.lang.Throwable` - In case of an error

    - #### shutdown

          void shutdown()
                 throws java.lang.Throwable

      Shutdown the transport
      Throws:
        `java.lang.Throwable` - In case of an error

    - #### initialize

          void initialize()
                   throws java.lang.Throwable

      Initialize the transport
      Throws:
        `java.lang.Throwable` - In case of an error

    - #### isInitialized

          boolean isInitialized()

      Is the transport initialized
      Returns:
        The value

    - #### register

          void register(Address address)

      Register
      Parameters:
        `address` - The address

    - #### unregister

          void unregister(Address address)

      Unregister
      Parameters:
        `address` - The address

    - #### ping

          long ping(Address address)

      Ping time to a distributed work manager
      Parameters:
        `address` - The address
      Returns:
        The ping time in milliseconds

    - #### getShortRunningFree

          long getShortRunningFree(Address address)

      Get The number of free thread in short running pool from a distributed work manager
      Parameters:
        `address` - The address
      Returns:
        The number of free thread in short running pool

    - #### getLongRunningFree

          long getLongRunningFree(Address address)

      Get The number of free thread in long running pool from a distributed work manager
      Parameters:
        `address` - The address
      Returns:
        The number of free thread in long running pool

    - #### updateShortRunningFree

          void updateShortRunningFree(Address address,
                                      long freeCount)

      Update The number of free thread in short running pool from a distributed work manager
      Parameters:
        `address` - The address
        `freeCount` - the number of freeThread

    - #### updateLongRunningFree

          void updateLongRunningFree(Address address,
                                     long freeCount)

      Update The number of free thread in long running pool from a distributed work manager
      Parameters:
        `address` - The address
        `freeCount` - the number of freeThread

    - #### getDistributedStatistics

          DistributedWorkManagerStatisticsValues getDistributedStatistics(Address address)

      Get the distributed statistics
      Parameters:
        `address` - The address
      Returns:
        The value

    - #### clearDistributedStatistics

          void clearDistributedStatistics(Address address)

      Clear distributed statistics
      Parameters:
        `address` - The address

    - #### deltaDoWorkAccepted

          void deltaDoWorkAccepted(Address address)

      Delta doWork accepted
      Parameters:
        `address` - The address

    - #### deltaDoWorkRejected

          void deltaDoWorkRejected(Address address)

      Delta doWork rejected
      Parameters:
        `address` - The address

    - #### deltaStartWorkAccepted

          void deltaStartWorkAccepted(Address address)

      Delta startWork accepted
      Parameters:
        `address` - The address

    - #### deltaStartWorkRejected

          void deltaStartWorkRejected(Address address)

      Delta startWork rejected
      Parameters:
        `address` - The address

    - #### deltaScheduleWorkAccepted

          void deltaScheduleWorkAccepted(Address address)

      Delta scheduleWork accepted
      Parameters:
        `address` - The address

    - #### deltaScheduleWorkRejected

          void deltaScheduleWorkRejected(Address address)

      Delta scheduleWork rejected
      Parameters:
        `address` - The address

    - #### deltaWorkSuccessful

          void deltaWorkSuccessful(Address address)

      Delta work successful
      Parameters:
        `address` - The address

    - #### deltaWorkFailed

          void deltaWorkFailed(Address address)

      Delta work failed
      Parameters:
        `address` - The address

    - #### doWork

          void doWork(Address address,
                      javax.resource.spi.work.DistributableWork work)
               throws javax.resource.spi.work.WorkException

      doWork
      Parameters:
        `address` - The address
        `work` - The work
      Throws:
        `javax.resource.spi.work.WorkException` - Thrown if an error occurs

    - #### scheduleWork

          void scheduleWork(Address address,
                            javax.resource.spi.work.DistributableWork work)
                     throws javax.resource.spi.work.WorkException

      scheduleWork
      Parameters:
        `address` - The address
        `work` - The work
      Throws:
        `javax.resource.spi.work.WorkException` - Thrown if an error occurs

    - #### startWork

          long startWork(Address address,
                         javax.resource.spi.work.DistributableWork work)
                  throws javax.resource.spi.work.WorkException

      startWork
      Parameters:
        `address` - The address
        `work` - The work
      Returns:
        The delay
      Throws:
        `javax.resource.spi.work.WorkException` - Thrown if an error occurs

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)